# ssn-auto

A tool that regularly checks for new patches and will automatically download, install and process them. Designed to be deployed on the Jedipedia server and not supported to be set up in other environments, so we offer limited support. If you want to build your own patching tool, start with the [ssn-tools](/swtor/ssn-tools) repository.

## Installation

After downloading this repository, create a file called `dbSettings.js` with the following contents, putting in the database settings as required:

```js
module.exports = {
  host: 'localhost',
  user: 'INSERT_USER_NAME',
  password: 'INSERT_PASSWORD',
  database: 'INSERT_DATABASE_NAME',
};
```

## License

Copyright (C) 2018 Jedipedia.net

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
