import { Product } from 'ssn';
import IProductData from './interfaces/IProductData';

const data: { [key in Product]: IProductData } = {
  assets_swtor_main: { manifestVersion: 294, httpVersion: 294 },
  assets_swtor_de_de: { manifestVersion: 297, httpVersion: 297 },
  assets_swtor_en_us: { manifestVersion: 299, httpVersion: 299 },
  assets_swtor_fr_fr: { manifestVersion: 299, httpVersion: 299 },
  assets_swtor_test_main: { manifestVersion: 292, httpVersion: 292 },
  assets_swtor_test_de_de: { manifestVersion: 295, httpVersion: 295 },
  assets_swtor_test_en_us: { manifestVersion: 295, httpVersion: 295 },
  assets_swtor_test_fr_fr: { manifestVersion: 295, httpVersion: 295 },
  retailclient_swtor: { manifestVersion: 247, httpVersion: 247 },
  retailclient_publictest: { manifestVersion: 269, httpVersion: 269 },
  retailclient_betatest: { manifestVersion: 13, httpVersion: 13 },
  retailclient_liveqatest: { manifestVersion: 203, httpVersion: 205 },
  retailclient_liveeptest: { manifestVersion: 133, httpVersion: 199 },
  retailclient_cstraining: { manifestVersion: 141, httpVersion: 141 },
  retailclient_squadron157: { manifestVersion: 11, httpVersion: -1 },
  eualas: { manifestVersion: 0, httpVersion: 0 },
  patcher2014: { manifestVersion: 8, httpVersion: 7 },
  patcher2017: { manifestVersion: 0, httpVersion: 0 },
  movies_de_de: { manifestVersion: 5, httpVersion: 5 },
  movies_en_us: { manifestVersion: 5, httpVersion: 5 },
  movies_fr_fr: { manifestVersion: 5, httpVersion: 5 },
};

export default data;
